Page MenuHomePhabricator

Timeless has a bit larger padding on Special:Translate
Closed, ResolvedPublic

Description

MobileFrontend is not a bad idea: Timeless may be as convenient on mobile as MinervaNeue, but it’s less convenient on desktop as Vector. MF makes it possible to use two completely different skins on mobile and desktop. (Also, Timeless has a slightly larger padding on Special:Translate than MinervaNeue, at least on Meta.)

Special:Translate pages should probably have a smaller padding, as this page format uses a double column.
Perhaps the best would be if possible to hide the right navbar on Special:Translate, as no useful links are shown.

Related: T197036: In a Special:Translate "Translate" link in the right sidebar links to the page itself

Event Timeline

Framawiki triaged this task as Low priority.Jun 12 2018, 8:36 PM
Framawiki created this task.

I don’t know which sidebar are you speaking about. If you meant the left sidebar, its links are as useful as on any other page, and is collapsed into dropdown menus on small screens anyway. The padding I’m speaking about is whitespace with literally nothing in it (it’s about 1-2em on each side, but I think 0.5em would be far enough).

In Vector on Special:Translate there is a way to collapse the sidebar manually or automatically on smaller screens.

Timeless adapts itself pretty well except that the middle column is narrower. That is probably on purpose, but doesn't work that well on the more complex UIs of Translate (Special:ManageTranslatorSandbox and Special:SearchTranslations also have issues).

Maybe the Timeless developers have ideas what can be done here.

No. That change is to modify the width thresholds for the different layouts. My problem is that there is too much padding in the narrowest (mobile) layout.

ashley moved this task from Backlog to Compatibility on the Timeless board.Jun 24 2018, 5:01 PM
Vvjjkkii renamed this task from Timeless has a big larger padding on Special:Translate to 25aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Tacsipacsi renamed this task from 25aaaaaaaa to Timeless has a bit larger padding on Special:Translate.Jul 1 2018, 7:39 AM
Tacsipacsi lowered the priority of this task from High to Low.
Tacsipacsi updated the task description. (Show Details)
Tacsipacsi updated the task description. (Show Details)Jul 1 2018, 7:42 AM
Isarra added a subscriber: Isarra.Jul 15 2019, 9:48 PM

Might be useful, as it should implement a specific single-sidebar setting: T131803: Options to only use a specific layout/not go bigger - single-column with only dropdown menus, or one sidebar-only

Though if a user sets theirs to single-column mode I dunno if trying to reuse that for single-sidebar would then override it. I don't know, I'll maybe figure it out later...

Can someone confirm if this is still an issue, and where the problematic paddings are presenting themselves at this point? (Is it added by translate, only on particular resolution layouts, etc?)

It looks resolved to me. @Tacsipacsi can you confirm?

Tacsipacsi closed this task as Resolved.Aug 27 2019, 7:09 PM

Yes, actually Timeless has narrower paddings than Minerva. (Vector still wins above 850px viewport width, but looking at my previous comments, small screens were problematic, and Timeless is better than both Vector and Minerva at 850px and below.)